object Raindrops {
    fun convert(inp: Int): String =
        when {
            ((inp % 3 == 0) and (inp % 5 == 0) and (inp % 7 == 0)) -> "PlingPlangPlong"
            ((inp % 3 == 0) and (inp % 5 == 0)) -> "PlingPlang"
            ((inp % 3 == 0) and (inp % 7 == 0)) -> "PlingPlong"
            ((inp % 5 == 0) and (inp % 7 == 0)) -> "PlangPlong"
            ((inp % 3 == 0)) -> "Pling"
            ((inp % 5 == 0)) -> "Plang"
            ((inp % 7 == 0)) -> "Plong"
            else -> inp.toString()
        }

}